NPM failing to install with EINTEGRITY

registry
priority:medium
triaged

(Jason Walton) #1

What I Wanted to Do

npm install listr-update-renderer@0.4.0

(Well, actually, npm install something that needs it, but…)

What Happened Instead

WARN tarball tarball data for listr-update-renderer@0.4.0 (sha512-YF5bCQPbpiVDh/Ali3O5gmBYnvmNIcNZKBq0hueOqYum8T/+VR1gCLgLXmRs2OpPsVAzdsENQO0BJCyFt9FjKA==) seems to be corrupted. Trying one more time.
WARN tarball tarball data for listr-update-renderer@0.4.0 (sha512-YF5bCQPbpiVDh/Ali3O5gmBYnvmNIcNZKBq0hueOqYum8T/+VR1gCLgLXmRs2OpPsVAzdsENQO0BJCyFt9FjKA==) seems to be corrupted. Trying one more time.
npm ERR! code EINTEGRITY
npm ERR! Verification failed while extracting listr-update-renderer@0.4.0:
npm ERR! Verification failed while extracting listr-update-renderer@0.4.0:
npm ERR! sha512-YF5bCQPbpiVDh/Ali3O5gmBYnvmNIcNZKBq0hueOqYum8T/+VR1gCLgLXmRs2OpPsVAzdsENQO0BJCyFt9FjKA== integrity checksum failed when using sha512: wanted sha512-YF5bCQPbpiVDh/Ali3O5gmBYnvmNIcNZKBq0hueOqYum8T/+VR1gCLgLXmRs2OpPsVAzdsENQO0BJCyFt9FjKA== but got sha512-NHGR+IqpcarRDrsYMTHD+M6QsTZNFcKe5JGlsGcpkN4yfgPJ+d4nuEQx52eDq+DOBv3H7WRTHqLEd1chUJ1lZA==. (2928 bytes)

npm ERR! A complete log of this run can be found in:
npm ERR!     /Users/jwalton/.npm/_logs/2018-11-02T02_33_05_608Z-debug.log

Reproduction Steps

npm install listr-update-renderer@0.4.0

Details

npm cache clean did not fix.

Platform Info

$ npm --versions
{ exegesis: '0.0.0-semantic-release',
  npm: '6.4.1',
  ares: '1.10.1-DEV',
  cldr: '32.0',
  http_parser: '2.8.0',
  icu: '60.1',
  modules: '57',
  napi: '3',
  nghttp2: '1.32.0',
  node: '8.12.0',
  openssl: '1.0.2p',
  tz: '2017c',
  unicode: '10.0',
  uv: '1.19.2',
  v8: '6.2.414.66',
  zlib: '1.2.11' }

$ node -p process.platform
darwin

(Jason Walton) #2

Just started working again on it’s own. Hooray!


(Kat Marchán) #3

this was almost definitely a temporary hiccup with the registry itself.